Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 16 reacties
Bron: Debian, submitter: scrooch

Debian Linux heeft versie 3.0 r1 bereikt. In deze update zijn voornamelijk bugs gefixed en veiligheidsgaten gedicht. Voor de liefhebbers is er op de site een omvangrijk changelog te bewonderen.

Debian logo This is the first update of Debian GNU/Linux 3.0 (codename `woody') which mainly adds security updates to the stable release, along with a few corrections of serious bugs. Those who frequently update from security.debian.org won't have to update many packages and most updates from security.debian.org are included in this update. [break] Je vindt hier de Nederlandse mirror, voor andere mirrors klik je hier.
Moderatie-faq Wijzig weergave

Reacties (16)

Helaas heeft deze update niet de juiste GCC versie voor KDE3, waardoor we als debian users met deze update nog steeds aan KDE2.2.2-13 vastzitten. Hopelijk volgt GCC 3.x spoedig :)
Tja, lang leve http://www.apt-get.org

staat ook gewoon de officiele KDE FTP site tussen met daarop KDE 3.0.4 pakketjes gecompiled met gcc-2.95.4 voor woody.

En waarom we nog steeds aan KDE 2.2 zitten: Vind jij 3.0.x bewezen dan? Ikke niet, dat ding zit nog niet eens een maand in unstable.
En waarom we nog steeds aan KDE 2.2 zitten: Vind jij 3.0.x bewezen dan? Ikke niet, dat ding zit nog niet eens een maand in unstable.
3 April 2002 - KDE 3.0 Released
Waarom zit dat pas een maand in unstable?
Is het niet eens tijd om kde 3.1rc5 in de unstable te hebben en 3.0.5 in testing?
Hiervoor verwijs ik je door naar #debian-kde @ irc.debian.org

22:40 -!- Topic for #debian-kde: READ THIS OR SUFFER DEATH BY A THOUSAND CUTS!
|| Information about .debs and general other questions:
http://davidpashley.com/debian-kde/faq.html || Conflicts with kde.org
qt and the new qt in sid could lead to konsole and kwin style
problems || deb
http://people.debian.org/~ccheney/kde-3.0.99+cvs20021212 ./
ik ben sowieso van mening dat gebruikers die Debian op de desktop willen draaien beter geen woody, maar sarge, of zelfs sid kunnen nemen.
Waarom is dit zo? Is het niet zo, dat op Woody alles stabieler draait over het algemeen? Ik draai momenteel Woody, ik wil best overgaan naar SID bijvoorbeeld, maar onderbouw dan graag je mening.
Ik zeg dat omdat in Woody oudere software zit (uiteraard wel bewezen en stabiel) dan in Sarge/Sid. Op de desktop zie ik graag de nieuwste software, terwijl ik voor een server liever vertrouw op geteste software.
Zelfs als desktop zou ik geen sid nemen. Sid is de development versie en kan dus nog gebreken in de install packages hebben. De Woody is zeer stabiel, maar heeft niet de nieuwste packages.

Ik draai zelf Sarge naar volle tevredenheid. Toch de nieuwere packages (gcc3 weet ik niet, geen kde3 enzo, windowmaker hier). Voor de server zou ik bij Woody blijven, maar op de desktop is Sarge zonder meer goed mogelijk
Ik draai hier ook een Woody installatie met testing dus de nodige Sarge modules zitten er wel bij. In Sid zit overigens ook nog een GCC < 3.x
Het is dan ook een revision van de stable distributie en geen "update" zoals je hier bedoelt. In een revision ga je echt geen dergelijke grote stappen maken van GCC2 naar GCC3 (of KDE2 naar KDE3, for that matter).
Eigenwijze Traag :P, ik heb het je al eerder gezegd, "stable" is stable. En niet meer dan dat. Wil je bleeding edge, draai dan "testing" of een andere distro. "stable" is een keuze die debian heeft gemaakt als doelstelling. Als je het daar niet mee eens bent, kan je beter een andere distro of branch draaien.
Eigenwijze Traag :P , ik heb het je al eerder gezegd, "stable" is stable.
Daarom draai ik dus ook testing :)

Maar het neemt niet weg dat ik wel graag KDE3 wil in testing :o
je kunt beter apt-get upgrade gebruiken in plaats van apt-get dist-upgrade omdat deze bedoelt is als je bijvoorbeeld upgrade van woody naar sarge.
Dat is grote onzin, het enige verschil tussen "upgrade" en "dist-upgrade" is dat "upgrade" nooit een package zal verwijderen of extra erbij zal installeren als dat ineens nodig is. Stel: een package wordt opgesplitst in 2 delen... deel A houdt de originele naam 'bla' en deel B heet ineens 'bla-common'. "upgrade" zal 'bla-common' nooit willen installeren en 'bla' zal ook nooit geupgrade worden. "dist-upgrade" doet dit wel. Feit is dat dit veel gebeurt bij upgrades naar nieuwe major versies, daarom heet dit
"dist-upgrade", niet omdat je nu per se je hele distributie moet upgraden om dit commando te gebruiken.
Changelog is 404!
Dat komt waarschijnlijk hierdoor:
=========================================
Mon, 16 Dec 2002 - Debian 3.0r1a released
=========================================

No changes other than regenerated Packages files to include Task:
fields that were dropped in 3.0r1 due to a config SNAFU. :-(
Inventieve users hadden de juiste link al gevonden naar de ChangeLog:

http://ftp.nl.debian.org/debian/dists/Debian3.0r1a/ChangeLog
Those who frequently update from security.debian.org won't have to update many packages and most updates from security.debian.org are included in this update.
8 packages updaten voor een machientje dat een pletora aan intra- en internet diensten verzorgt. Die revisie aanduiding zegt alleen maar dat als je de oorspronkelijke 3.0 ad het echt tijd wordt om te update.

sudo apt-get update
sudo apt-get dist-upgrade

:)

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True